/*---------------- Scroll Bar ----------------*/
/* Firefox */
.asl-ul {
  scrollbar-width: thin;
  scrollbar-color: #888 rgba(242, 244, 244, 1);
  -ms-overflow-style: auto; /* Legacy Edge/IE fallback */
  overflow: auto;
}

/* WebKit/Blink (Chrome, Edge, Safari) */
.asl-ul::-webkit-scrollbar {
  width: 0.1875rem;
  height: 0.1875rem;
}

.asl-ul::-webkit-scrollbar-track {
  background: rgba(242, 244, 244, 1);
}

.asl-ul::-webkit-scrollbar-thumb {
  background: #7f7f7f;
  border-radius: .125rem;
  background-clip: content-box;
}

.asl-ul:hover::-webkit-scrollbar-thumb {
  background: #6b7280; /* darker thumb on hover */
}
/*---------------- End of Scroll Bar ----------------*/

.asl-div {
	position: absolute;
	z-index: 99999;
	display: flex;
	max-height: 18.75rem;
	min-width: 6.875rem;
	padding: 0;
	overflow: hidden;
	background: #ffffff;
	border: .0625rem solid #bebebe;
	border-radius: .3125rem;
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
	/* transition: top 200ms ease, opacity 200ms ease; */
}

.asl-div.asl-bottom {
	-webkit-box-shadow: 0 .5rem 1.25rem rgba(0, 0, 0, 0.25);
    -moz-box-shadow: 0 .5rem 1.25rem rgba(0, 0, 0, 0.25);
    box-shadow: 0 .5rem 1.25rem rgba(0, 0, 0, 0.25);
}

.asl-div.asl-top {
	-webkit-box-shadow: 0 -0.5rem 1.25rem rgba(0, 0, 0, 0.25);
    -moz-box-shadow: 0 -0.5rem 1.25rem rgba(0, 0, 0, 0.25);
    box-shadow: 0 -0.5rem 1.25rem rgba(0, 0, 0, 0.25);
}

textarea + .asl-div {
	margin-top: .0625rem;
}

.asl-ul {
	font-family: 'exo2', 'ubuntu', 'Calibri';
	font-size: .75rem;
	letter-spacing: .025rem;
	font-weight: normal;
	list-style-type: none;
	margin: 0;
	padding: 0;
	width: 100%;
	overflow-y: auto;
	-webkit-box-sizing: content-box;
	box-sizing: content-box;
	white-space: normal;
}

.asl-li {
	padding: .5rem .75rem;
	text-align: left;
	color: #303030;
	border-bottom: solid .0625rem #f0f0f0;
	line-height: 1.7;
	word-wrap: break-word;
	word-break: break-word;
	overflow-wrap: anywhere;
}

.asl-ul .asl-li:first-child {
	padding-top: .625rem;
}

.asl-ul .asl-li:last-child {
	padding-bottom: .625rem;
}

.asl-div > .asl-ul > .asl-li-selected {
	background-color: #f0f7ff; color: #004385;
}

.asl-div > .asl-ul > .asl-li:hover, .asl-div > .asl-ul > .asl-highlight {
	background-color: #f3f3f3;
	cursor: pointer;
}

.asl-li > .auto_loading_data, .asl-li > .auto_no_data, .asl-li > .auto_clear_data{
    display: flex; border: none; margin: 0; padding: 0rem; white-space: nowrap;
	font-family: exo2; font-size: .75rem; letter-spacing: .0313rem; color: #656565;
}

.asl-li > .auto_clear_data{
    color: #cd0e0e;
}